@ECHO OFF
ECHO .
ECHO .
ECHO This xCopy script was prepared by Conal Ryan for his Windows7 clients ONLY!
ECHO .
ECHO Please call (305-367-3200) or email (conalryan@yahoo.com) for more info.
ECHO .
ECHO . 
ECHO . 
ECHO Use this program to backup (ROBOcopy) your vital data files to your USB Drive (T)
ECHO . 
ECHO Press Cntl+C to quit, otherwise . . . . .
ECHO .
ECHO .
ECHO .
pause


REM ***** COPIES WHOLE USER PROFILE (PICS, DOCS, DESKTOP) *******  
ROBOcopy "%USERPROFILE%\." "T:\BACKUP\." /E /ZB /NDL /256 /XA:SH /XD APP* temp* recov* /R:3 

REM ***** COPIES SHARED DESKTOP *******  
ROBOcopy "C:\Users\Public\Desktop\." "T:\BACKUP\Desktop\." /E /ZB /NDL /256 /XA:SH /R:3 

REM ***** COPIES SHARED DOCS *******  
ROBOcopy "C:\Users\Public\Documents\." "T:\BACKUP\SharedDocs\." /E /ZB /NDL /256 /XA:SH /R:3 

REM ***** IF OUTLOOK IS NOT IN MYDOCS *******  ROBOcopy "%USERPROFILE%\AppData\Local\Microsoft\Outlook\." "T:\BACKUP\OUTLOOK\." /NDL /E /ZB /256 

ECHO . 
ECHO . 
ECHO . 
ECHO Backup has finished running.
ECHO . 
ECHO . 
ECHO Look above for an ERROR messages.
ECHO . 
ECHO . 
ECHO Don't forget to use the Green SAFELY EJECT button (near the clock) before removing USB drive
ECHO . 
ECHO . 
ECHO Store the USB drive in a SAFE place (away from your computer)
ECHO . 
ECHO . 
ECHO . 
PAUSE

REM ************* END *******************
REM ************* END *******************

REM ************** ROBOCOPY DETAILS - ALSO SEE TXT FILE ********************
 
REM **** USUALLY USE THESE OPTIONS *****   /E /ZB /NDL /256 /XA:SH /XD APP* temp* /R:3 

REM	/E :: copy subdirectories, including Empty ones.
REM	/Z :: copy files in restartable mode.
REM	/B :: copy files in Backup mode.
REM	/ZB :: use restartable mode; if access denied use Backup mode.
REM	/XA:[RASHCNETO] :: eXclude files with any of the given Attributes set.
REM	/256 :: turn off very long path (> 256 characters) support.
REM	/FP :: include Full Pathname of files in the output.
REM	/NFL :: No File List - don't log file names.
REM	/NDL :: No Directory List - don't log directory names.
REM	/R:n :: number of Retries on failed copies: default 1 million.
REM	/W:n :: Wait time between retries: default is 30 seconds.
REM	/NP :: No Progress - don't display percentage copied.
REM	/ETA :: show Estimated Time of Arrival of copied files.
REM	/MON:n :: MONitor source; run again when more than n changes seen.
REM	/MOT:m :: MOnitor source; run again in m minutes Time, if changed.
REM	/MT[:n] :: Do multi-threaded copies with n threads (default 8).
REM		n must be at least 1 and not greater than 128.
REM		This option is incompatible with the /IPG and /EFSRAW options.
REM		Redirect output using /LOG option for better performance.
REM	/A :: copy only files with the Archive attribute set.
REM	/M :: copy only files with the Archive attribute and reset it.
REM	/XF file [file]... :: eXclude Files matching given names/paths/wildcards.
REM	/XD dirs [dirs]... :: eXclude Directories matching given names/paths.
REM	/XO :: eXclude Older files.
REM	/XL :: eXclude Lonely files and directories.
REM	/MAXAGE:n :: MAXimum file AGE - exclude files older than n days/date.
REM	/MINAGE:n :: MINimum file AGE - exclude files newer than n days/date.
REM	/ETA :: show Estimated Time of Arrival of copied files.
REM	/NJH :: No Job Header.
REM	/NJS :: No Job Summary.
REM	/JOB:jobname :: take parameters from the named JOB file.
REM	/SAVE:jobname :: SAVE parameters to the named job file
REM	/QUIT :: QUIT after processing command line (to view parameters).  
REM 

REM ************** XCOPY SWITCHES ********************

rem use D(newer date) instead of M(archive bit) if starting fresh backup (ie another destination) because A may be set because file hasnt changed, so it will be skipped

rem C = Continue on error
rem D = date
rem E = Empty (include sub folders - empty dirs also - assumes /S)
rem F = FULL path
rem G = allows encrypted files
rem H = also copies hidden and sys files
rem I  = assumes dir for multi files
rem K = copies attributes
rem O = includes ownership & ACL
rem P = PROMT to copy
rem R = overwrites READ-ONLY files
rem Y = supressed promt for overwrite
rem X = includes audit setttings (assumes /O)
rem z = copies networked files in restartable mode
 
REM ************** SYSTEM VARIABLES ********************

REM  ~ WIN XP VARIABLES  ~ (tested)

REM VARIABLE   = 		XP		VISTA		WIN7
REM ---------------			---------------	--------------	-------------
REM %USERNAME% =		Conal		Conal		Conal
REM %SystemRoot% = 		c:\windows	c:\windows	c:\windows
REM %ALLUSERSPROFILE% = 	c:\Documents			C:\ProgramData
REM %COMPUTERNAME% = 	VOSTRO1500	VOSTRO1500	VOSTRO1500
REM %HOMEPATH% = 		\Documents			\Users\Conal	
REM %USERPROFILE% = 		C:\Documents			C:\Users\Conal
REM %AppData% = 		C:\Documents			C:\Users\Conal
REM %Public%	=						C:\Users\Public

REM Win7 user's start menu = %USERPROFILE%\Start Menu\Programs\
REM Win7 shared start menu folder = %ALLUSERSPROFILE%\Microsoft\Windows\Start Menu\Programs
REM Win7 user's desktop folder = %USERPROFILE%\Desktop
REM Win7 shared desktop folder = C:\Users\Public\Desktop or C:\ProgramData\Desktop
REM Win7 user's fav folder = %USERPROFILE%\Favorites
REM Win7 shared start menu = %APPDATA%\Microsoft\Windows\Start Menu
REM runas /user:REQUIREDUSERNAME /savecred c:\PATH\TO\APP.exe
 

REM xcopy "%USERPROFILE%\Favorites\*.*" T:\xCopy_BU\FAVS\*.* /D /E /F /G /H /I /R /K /Y
REM xcopy "%USERPROFILE%\Desktop\*.*" T:\xCopy_BU\Desktop\*.* /D /E /F /G /H /I /R /K /Y
REM xcopy "%USERPROFILE%\Documents\*.*" T:\xCopy_BU\MyDocs\*.* /D /E /F /G /H /I /R /K /Y
REM xcopy "%Public%\Documents\*.*" T:\xCopy_BU\Shared\Docs\*.* /D /E /F /G /H /I /R /K /Y
REM xcopy "%Public%\Desktop\*.*" T:\xCopy_BU\Shared\Desktop\*.* /D /E /F /G /H /I /R /K /Y

